# Maintainer: Future Linux Team <future_linux@163.com>

pkgname=efibootmgr
pkgver=17
pkgrel=1
pkgdesc="Linux user-space application to modify the EFI Boot Manager"
arch=('x86_64')
url="https://github.com/rhboot/efibootmgr"
license=('GPL2')
groups=('base')
depends=('glibc' 'popt' 'efivar')
source=(https://github.com/rhboot/efibootmgr/releases/download/${pkgver}/${pkgname}-${pkgver}.tar.bz2)
sha256sums=(5fdbeeeaf5006f3f82196c89b93e8dff21e0cd29d5fabd39cdcd0fbc65c319dd)

prepare() {
    cd ${pkgname}-${pkgver}

   sed -e '/extern int efi_set_verbose/d' -i src/efibootmgr.c
   sed 's/-Werror//' -i Make.defaults
}

build() {
    cd ${pkgname}-${pkgver}

    make libdir=/usr/lib64 EFIDIR=future EFI_LOADER=grubx64.efi
}

package() {
    cd ${pkgname}-${pkgver}

    make DESTDIR=${pkgdir} libdir=/usr/lib64 EFIDIR=future install
}
